/* Global Styles */
* {
    margin: 0;
    padding: 0;
    line-height: 24px;
    font-size: 16px;
    font-family: "Noto Sans", sans-serif;
}

p {
    color: rgb(125, 145, 176);
}

body {
    width: 100%;
    background-image: radial-gradient(circle at 200px 650px, rgb(16, 74, 101) 0%, rgba(15, 23, 41) 10%);
    background-color: rgba(15, 23, 41);
}

/* Header Styles */
header {
    padding: 24px 0;
    position: fixed;
    top: 0;
    width: 100%;
    background-color: rgba(15, 23, 41);
    z-index: 5;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: auto;
    min-width: 350px;
    max-width: 1108px;
    padding: 0 16px; 
    color: rgb(125, 145, 176);
}
.logo{
    flex: 1;
}
.logo img {
    width: 120px;
}
/* Navigation Options */
.options {
    flex: 2;
    min-width: 400px;
    flex-shrink: 0;
}

.options ul {
    display: flex;
    justify-content: space-between;
    list-style-type: none;
    flex-shrink: 0;
}

.options ul li {
    flex-shrink: 0;
    transition: color ease-in-out 0.5s;
}

.options ul li:hover {
    cursor: pointer;
    color: rgb(14, 165, 234);
}

/* Right Side of Navbar */
.nav-right {
    flex: 1;
    display: flex;
    justify-content: flex-end; /* Align to right */
    align-items: center;
}

/* Subscribe Button */
.subscribe-btn {
    color: white;
    background-image: linear-gradient(90deg, rgb(14, 165, 234), rgb(11, 209, 209) 51%, rgb(14, 165, 234));
    padding: 4px 6px;
    margin-right: 15px;
    border: none;
    border-radius: 4px;
    background-size: 200% 100%;
    background-position: center;
    transition: background-position 0.3s ease-in-out;
}

.subscribe-btn:hover {
    cursor: pointer;
    background-position: left;
}

/* Mobile Menu Styles */

.menu {
    display: none; /* Hidden by default */ 
    cursor: pointer;
}
.menu i {
    font-size: 35px;
    color: rgb(125, 145, 176);
}

.mob_navbar{
    display:flex;
    flex-direction: column;
    background-color: rgba(15, 23, 41);
    color: rgb(125, 145, 176);
    width: 100%;
    position: fixed;
    top: 0;
    right: 0;
    z-index: 10;
    padding: 10px;
}

.m_nav{
    display: flex;
    justify-content:space-between ;
    align-items: center; 
    padding: 0 10px;
}

.close_btn{
    transition: color ease-in-out 0.5s;

}
.close_btn:hover{
    cursor: pointer;
    color: rgb(14, 165, 234);
}
.mob_options{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.mob_options ul{
    list-style-type: none;
    transition: color ease-in-out 0.5s;
}
.mob_options ul li:hover {
    cursor: pointer;
    color: rgb(14, 165, 234);
}
.hide{
    display: none;
}


